| Demo HCI Implementation for WiMOD-LR Devices V2.0.3

Public Attributes | List of all members
TWiMODLR_DevMgmt_RadioConfig Struct Reference

Structure containing the radio (stack) config parameters of the WiMOD (only for LR-BASE) More...

`#include <SAP/WiMOD_SAP_DEVMGMT_IDs.h>`

## Public Attributes
UINT8 | Status
UINT8 | StoreNwmFlag
TRadioCfg_RadioMode | RadioMode
UINT8 | GroupAddress
UINT8 | TxGroupAddress
UINT16 | DeviceAddress
UINT16 | TxDeviceAddress
TRadioCfg_Modulation | Modulation
UINT8 | RfFreq_LSB
UINT8 | RfFreq_MID
UINT8 | RfFreq_MSB
TRadioCfg_LoRaBandwidth | LoRaBandWidth
TRadioCfg_LoRaSpreadingFactor | LoRaSpreadingFactor
TRadioCfg_ErrorCoding | ErrorCoding
TRadioCfg_PowerLevel | PowerLevel
UINT8 | TxControl
TRadioCfg_RxControl | RxControl
UINT16 | RxWindowTime
UINT8 | LedControl
UINT8 | MiscOptions
TRadioCfg_FskDatarate | FskDatarate
TRadioCfg_PowerSavingMode | PowerSavingMode
INT16 | LbtThreshold

## Detailed Description

Structure containing the radio (stack) config parameters of the WiMOD (only for LR-BASE)

## Member Data Documentation

## ◆ DeviceAddress

UINT16 TWiMODLR_DevMgmt_RadioConfig::DeviceAddress

RF device address used for RX

## ◆ ErrorCoding

TRadioCfg_ErrorCoding TWiMODLR_DevMgmt_RadioConfig::ErrorCoding

Error Coding

## ◆ FskDatarate

TRadioCfg_FskDatarate TWiMODLR_DevMgmt_RadioConfig::FskDatarate

Datarate setting for the FSK modulation

## ◆ GroupAddress

UINT8 TWiMODLR_DevMgmt_RadioConfig::GroupAddress

Group address of WiMOD (for RX)

## ◆ LbtThreshold

INT16 TWiMODLR_DevMgmt_RadioConfig::LbtThreshold

ListenBeforeTalk threshold value

## ◆ LedControl

UINT8 TWiMODLR_DevMgmt_RadioConfig::LedControl

control byte for the LED (of the demoboard)

## ◆ LoRaBandWidth

TRadioCfg_LoRaBandwidth TWiMODLR_DevMgmt_RadioConfig::LoRaBandWidth

Bandwidth setting for the LoRa modulation

## ◆ LoRaSpreadingFactor

TRadioCfg_LoRaSpreadingFactor TWiMODLR_DevMgmt_RadioConfig::LoRaSpreadingFactor

LoRa Spreading factor

## ◆ MiscOptions

UINT8 TWiMODLR_DevMgmt_RadioConfig::MiscOptions

misc options field

## ◆ Modulation

TRadioCfg_Modulation TWiMODLR_DevMgmt_RadioConfig::Modulation

RF Modulation to be used for TX

## ◆ PowerLevel

TRadioCfg_PowerLevel TWiMODLR_DevMgmt_RadioConfig::PowerLevel

Power Level setting

## ◆ PowerSavingMode

TRadioCfg_PowerSavingMode TWiMODLR_DevMgmt_RadioConfig::PowerSavingMode

PowerSaving; 1 = enable/ on; 0 = disable / off

## ◆ RadioMode

TRadioCfg_RadioMode TWiMODLR_DevMgmt_RadioConfig::RadioMode

Radio Mode setting

## ◆ RfFreq_LSB

UINT8 TWiMODLR_DevMgmt_RadioConfig::RfFreq_LSB

lower part of the 24bit frequency register of the transceiver

## ◆ RfFreq_MID

UINT8 TWiMODLR_DevMgmt_RadioConfig::RfFreq_MID

mid part of the 24bit frequency register of the transceiver

## ◆ RfFreq_MSB

UINT8 TWiMODLR_DevMgmt_RadioConfig::RfFreq_MSB

high part of the 24bit frequency register of the transceiver

## ◆ RxControl

TRadioCfg_RxControl TWiMODLR_DevMgmt_RadioConfig::RxControl

Options related to RX operations

## ◆ RxWindowTime

UINT16 TWiMODLR_DevMgmt_RadioConfig::RxWindowTime

Time settings related to the RX Window

## ◆ Status

UINT8 TWiMODLR_DevMgmt_RadioConfig::Status

Status Flag of HCI get operation; only vaild if config has been requested

## ◆ StoreNwmFlag

UINT8 TWiMODLR_DevMgmt_RadioConfig::StoreNwmFlag

Store the config in NVM or RAM; 1 = store in NVM

## ◆ TxControl

UINT8 TWiMODLR_DevMgmt_RadioConfig::TxControl

Options related to TX operations

## ◆ TxDeviceAddress

UINT16 TWiMODLR_DevMgmt_RadioConfig::TxDeviceAddress

RF device address used for TX

## ◆ TxGroupAddress

UINT8 TWiMODLR_DevMgmt_RadioConfig::TxGroupAddress

Group address to be used for TX

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_DEVMGMT_IDs.h